From d963bf97b78a53a09a034eb635f27d285b914387 Mon Sep 17 00:00:00 2001
From: Myron Ahn <myronahn@gmail.com>
Date: May 17 2020 05:32:42 +0000
Subject: [PATCH 639/2232] Fix for when std::os::raw::c_char is u8 (armv7)


---

diff --git a/tests/test.rs b/tests/test.rs
index ddf8f70..91bd25e 100644
--- a/tests/test.rs
+++ b/tests/test.rs
@@ -141,7 +141,7 @@ fn test_c_call_r() {
         }
         let failure = unsafe { cxx_run_test() };
         if !failure.is_null() {
-            let msg = unsafe { CStr::from_ptr(failure) };
+            let msg = unsafe { CStr::from_ptr(failure as *mut std::os::raw::c_char) };
             eprintln!("{}", msg.to_string_lossy());
         }
     }

